Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.j2ssh.connection
Class ChannelInputStream

    java.lang.Object
      java.io.InputStream
          com.sshtools.j2ssh.connection.ChannelInputStream

public class ChannelInputStream
extends java.io.InputStream

DOCUMENT ME!

Constructor Summary
`ChannelInputStream(SshMessageStore messageStore)` Creates a new ChannelInputStream object.
`ChannelInputStream(SshMessageStore messageStore, java.lang.Integer type)` Creates a new ChannelInputStream object.

Method Summary
`int` | `available()` DOCUMENT ME!
`void` | `close()` DOCUMENT ME!
`boolean` | `isClosed()` DOCUMENT ME!
`int` | `read()` DOCUMENT ME!
`int` | `read(byte[] b, int off, int len)` DOCUMENT ME!

Methods inherited from class java.io.InputStream
`mark, markSupported, read, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChannelInputStream

    public ChannelInputStream(SshMessageStore messageStore,
                              java.lang.Integer type)

  Creates a new ChannelInputStream object.

Parameters:
  `messageStore` - DOCUMENT ME!
  `type` - DOCUMENT ME!

### ChannelInputStream

    public ChannelInputStream(SshMessageStore messageStore)

  Creates a new ChannelInputStream object.

Parameters:
  `messageStore` - DOCUMENT ME!

Method Detail

### available

    public int available()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### close

    public void close()
               throws java.io.IOException

  DOCUMENT ME!

  Throws:
    `java.io.IOException` - DOCUMENT ME!

### isClosed

    public boolean isClosed()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### read

    public int read()
             throws java.io.IOException

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!
    `SshException` - DOCUMENT ME!

### read

    public int read(byte[] b,
                    int off,
                    int len)
             throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `b` - DOCUMENT ME!
    `off` - DOCUMENT ME!
    `len` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!
    `SshException` - DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD